Description

We should be providing all date logging with timestamps, so that it's easier to work in our clients respective timezones

History

#1 - 03/23/2007 02:02 PM - Aurynn Shaw

- Status changed from New to In Progress

Okay. Ideas on changing the timezone based on the requesting user? Or should that even be necessary to do?

#2 - 03/23/2007 03:11 PM - Darcy Buskermolen
Well there are a few ways to do that, a little bit of JS to read the TZ, and then forward that as part of the request ? pesudo code both client and server
side:

get_tz.js:

timezone_get(){

/I returns 'America/Edmonton’
return browser.timezone;

}

sever side:

begin;

set tz to '"America/Edmonton’;

select * from table where insert_time > now() - '3 hours';
rollback;

#3 - 10/16/2007 09:37 AM - Aurynn Shaw

That ought to be in the environment too, so | can pick it up from Apache/the CGl directly?

#4 - 10/16/2007 09:44 AM - bford -

Hmmm, do we want to provide the TZ from the browser, or do we want to provide it from the DB?

#5 - 10/16/2007 09:45 AM - Aurynn Shaw

| was thinking we wanted to display in the timezone that the user is in.
